# Token List API v3

⬆️ v3 update: Add information about fundraising and latest round

## Getting Started

#### **Base URL** <a href="#base-url" id="base-url"></a>

```
https://api.unlocks.app
```

#### **Authentication** <a href="#authentication" id="authentication"></a>

Provide your api key in the `x-api-key` header.

```
GET https://api.unlocks.app/v3/token/list
HEADER: x-api-key: <YOUR_API_KEY>
```

## **Endpoints: Token List**  <a href="#endpoints" id="endpoints"></a>

**Parameters**

No parameters required.

**Example:**

```
curl -X 'GET' \
  'https://api.unlocks.app/v3/token/list' \
  -H 'x-api-key: $YOUR_API_KEY'
```

**Response**

```json
{
    "metadata": {
        "queryDate": "2026-01-08T10:16:00Z"
    },
    "status": true,
    "data": [
        {
            "id": "0x",
            "name": "0x Protocol",
            "symbol": "ZRX",
            "listedMethod": "INTERNAL",
            "circulatingSupply": 848396562.906836,
            "marketCap": 121860242,
            "maxSupply": 1000000000,
            "totalLockedAmount": 0,
            "tbdLockedAmount": 0,
            "unlockedAmount": 1000000000,
            "untrackedAmount": 0,
            "hasStandardAllocation": true,
            "hasFundraising": true,
            "latestFundraisingRound": "Series B",
            "websiteUrl": "https://tokenomist.ai/0x",
            "lastUpdatedDate": "2025-04-25T08:42:27Z"
        },
        ....
    ]
}
```

The response includes time series data with the date (in UTC timezone), with granularity at the level of week.

**Return Fields Explanation**

| Fields                  | Data Type | Description                                                                                   |
| ----------------------- | --------- | --------------------------------------------------------------------------------------------- |
| id                      | string    | Identifier to call for a dataset                                                              |
| name                    | string    | Token Name                                                                                    |
| symbol                  | string    | Token Symbol                                                                                  |
| listedMethod            | string    | Method of listing(INTERNAL, AI, EXTERNAL)                                                     |
| circulatingSupply       | number    | Circulating supply of the token provided by external source (Will be null if no data present) |
| marketCap               | number    | Market cap of the token provided by external source (Will be null if no data present)         |
| maxSupply               | number    | Max. Supply (Will be null if no data is present)                                              |
| totalLockedAmount       | number    | Total current locked token amount                                                             |
| tbdLockedAmount         | number    | Total current TBD locked token amount                                                         |
| unlockedAmount          | number    | Total current unlocked token amount                                                           |
| untrackedAmount         | number    | Total current untracked token amount                                                          |
| hasStandardAllocation   | boolean   | Data set identifier for standard allocation dataset                                           |
| hasFundraising          | boolean   | Data set identifier for fundraising                                                           |
| lastestFundraisingRound | string    | The latest round raised                                                                       |
| websiteUrl              | string    | Link to Tokenomist token page                                                                 |
| lastUpdatedDate         | timestamp | Last updated date of token                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unlocks.app/api-documents/api-endpoints/token-list-api/token-list-api-v3.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
